Status: Resolved Priority: Should have
Author: Christopher Hlubek Category:
Created: 2010-06-10 Assigned To: Christopher Hlubek
Updated: 2012-08-31 Due date:
Subject: Proper Exception Handling in Ext Direct
Description

Exceptions in Ext Direct result in a rendered HTML Exception instead of a propert JSON response. The Exception should be
converted according to the Ext Direct specification.

History
#1 - 2010-06-10 16:20 - Christopher Hlubek
- Status changed from New to Accepted
- % Done changed from 0 to 80

Any exception will be returned via Ext Direct. But in Development context the message and location should not be exposed.

#2 - 2010-07-03 20:48 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 80 to 100

#3 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (550)

#4 - 2012-08-31 10:39 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
